diff -Nru oldsrc/mame/arcade.flt src/mame/arcade.flt
--- oldsrc/mame/arcade.flt	2018-03-28 04:54:57.000000000 +1100
+++ src/mame/arcade.flt	2018-03-30 09:10:18.230986307 +1100
@@ -113,15 +113,6 @@
 belatra.cpp
 berzerk.cpp
 bestleag.cpp
-bfcobra.cpp
-bfm_ad5.cpp
-bfm_sc1.cpp
-bfm_sc2.cpp
-bfm_sc4.cpp
-bfm_sc5.cpp
-bfm_swp.cpp
-bfmsys83.cpp
-bfmsys85.cpp
 bgt.cpp
 big10.cpp
 bigevglf.cpp
@@ -687,10 +678,6 @@
 mastboy.cpp
 matmania.cpp
 maxaflex.cpp
-maygay1b.cpp
-maygayep.cpp
-maygaysw.cpp
-maygayv1.cpp
 mazerbla.cpp
 mcatadv.cpp
 mcr.cpp
@@ -745,7 +732,6 @@
 mjsister.cpp
 mlanding.cpp
 mmagic.cpp
-mmm.cpp
 model1.cpp
 model2.cpp
 model3.cpp
@@ -757,25 +743,6 @@
 moo.cpp
 mosaic.cpp
 mouser.cpp
-mpu12wbk.cpp
-mpu2.cpp
-mpu3.cpp
-mpu4.cpp
-mpu4avan.cpp
-mpu4bwb.cpp
-mpu4concept.cpp
-mpu4crystal.cpp
-mpu4dealem.cpp
-mpu4empire.cpp
-mpu4mdm.cpp
-mpu4misc.cpp
-mpu4mod2sw.cpp
-mpu4mod4yam.cpp
-mpu4plasma.cpp
-mpu4sw.cpp
-mpu4union.cpp
-mpu4vid.cpp
-mpu5.cpp
 mquake.cpp
 mrdo.cpp
 mrflea.cpp
diff -Nru oldscripts/target/mame/arcade.lua scripts/target/mame/arcade.lua
--- oldscripts/target/mame/arcade.lua	2018-03-28 04:54:27.000000000 +1100
+++ scripts/target/mame/arcade.lua	2018-03-30 09:10:18.250986496 +1100
@@ -747,8 +747,6 @@
 		"ascii",
 		"atari",
 		"atlus",
-		"barcrest",
-		"bfm",
 		"bmc",
 		"capcom",
 		"ces",
@@ -782,7 +780,6 @@
 		"kiwako",
 		"konami",
 		"matic",
-		"maygay",
 		"meadows",
 		"merit",
 		"metro",
@@ -1288,64 +1285,6 @@
 	MAME_DIR .. "src/mame/drivers/bowltry.cpp",
 }
 
-createMAMEProjects(_target, _subtarget, "barcrest")
-files {
-	MAME_DIR .. "src/mame/drivers/mpu2.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu3.cpp",
-	MAME_DIR .. "src/mame/machine/mpu4.cpp",
-	MAME_DIR .. "src/mame/includes/mpu4.h",
-	MAME_DIR .. "src/mame/drivers/mpu4.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4avan.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4bwb.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4concept.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4crystal.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4dealem.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4empire.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4mdm.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4misc.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4mod2sw.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4mod4yam.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4plasma.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4sw.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4union.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu4vid.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu5.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu5.hxx",
-}
-
-createMAMEProjects(_target, _subtarget, "bfm")
-files {
-	MAME_DIR .. "src/mame/drivers/bfcobra.cpp",
-	MAME_DIR .. "src/mame/machine/bfm_comn.cpp",
-	MAME_DIR .. "src/mame/machine/bfm_comn.h",
-	MAME_DIR .. "src/mame/drivers/bfm_sc1.cpp",
-	MAME_DIR .. "src/mame/drivers/bfm_sc2.cpp",
-	MAME_DIR .. "src/mame/video/bfm_adr2.cpp",
-	MAME_DIR .. "src/mame/video/bfm_adr2.h",
-	MAME_DIR .. "src/mame/drivers/bfm_sc4.cpp",
-	MAME_DIR .. "src/mame/drivers/bfm_sc5.cpp",
-	MAME_DIR .. "src/mame/includes/bfm_sc5.h",
-	MAME_DIR .. "src/mame/drivers/bfm_sc5sw.hxx",
-	MAME_DIR .. "src/mame/drivers/bfm_ad5.cpp",
-	MAME_DIR .. "src/mame/includes/bfm_ad5.h",
-	MAME_DIR .. "src/mame/drivers/bfm_ad5sw.hxx",
-	MAME_DIR .. "src/mame/machine/bfm_sc45_helper.cpp",
-	MAME_DIR .. "src/mame/machine/bfm_sc45_helper.h",
-	MAME_DIR .. "src/mame/includes/bfm_sc4.h",
-	MAME_DIR .. "src/mame/drivers/bfm_swp.cpp",
-	MAME_DIR .. "src/mame/drivers/bfmsys83.cpp",
-	MAME_DIR .. "src/mame/drivers/bfmsys85.cpp",
-	MAME_DIR .. "src/mame/machine/sec.cpp",
-	MAME_DIR .. "src/mame/machine/sec.h",
-	MAME_DIR .. "src/mame/machine/bfm_bd1.cpp",
-	MAME_DIR .. "src/mame/machine/bfm_bd1.h",
-	MAME_DIR .. "src/mame/machine/bfm_bda.cpp",
-	MAME_DIR .. "src/mame/machine/bfm_bda.h",
-	MAME_DIR .. "src/mame/video/bfm_dm01.cpp",
-	MAME_DIR .. "src/mame/video/bfm_dm01.h",
-	MAME_DIR .. "src/mame/drivers/rastersp.cpp",
-}
-
 createMAMEProjects(_target, _subtarget, "bmc")
 files {
 	MAME_DIR .. "src/mame/drivers/bmcbowl.cpp",
@@ -2523,17 +2462,6 @@
 	MAME_DIR .. "src/mame/drivers/barata.cpp",
 }
 
-createMAMEProjects(_target, _subtarget, "maygay")
-files {
-	MAME_DIR .. "src/mame/drivers/maygay1b.cpp",
-	MAME_DIR .. "src/mame/includes/maygay1b.h",
-	MAME_DIR .. "src/mame/drivers/maygay1b.hxx",
-	MAME_DIR .. "src/mame/drivers/maygayv1.cpp",
-	MAME_DIR .. "src/mame/drivers/maygayep.cpp",
-	MAME_DIR .. "src/mame/drivers/maygaysw.cpp",
-	MAME_DIR .. "src/mame/drivers/mmm.cpp",
-}
-
 createMAMEProjects(_target, _subtarget, "meadows")
 files {
 	MAME_DIR .. "src/mame/drivers/lazercmd.cpp",
@@ -4652,7 +4580,6 @@
 	MAME_DIR .. "src/mame/drivers/mosaic.cpp",
 	MAME_DIR .. "src/mame/includes/mosaic.h",
 	MAME_DIR .. "src/mame/video/mosaic.cpp",
-	MAME_DIR .. "src/mame/drivers/mpu12wbk.cpp",
 	MAME_DIR .. "src/mame/drivers/multfish.cpp",
 	MAME_DIR .. "src/mame/includes/multfish.h",
 	MAME_DIR .. "src/mame/drivers/multfish_boot.cpp",
@@ -4703,6 +4630,7 @@
 	MAME_DIR .. "src/mame/drivers/pse.cpp",
 	MAME_DIR .. "src/mame/drivers/quizo.cpp",
 	MAME_DIR .. "src/mame/drivers/quizpun2.cpp",
+	MAME_DIR .. "src/mame/drivers/rastersp.cpp",
 	MAME_DIR .. "src/mame/drivers/rbmk.cpp",
 	MAME_DIR .. "src/mame/drivers/rcorsair.cpp",
 	MAME_DIR .. "src/mame/drivers/re900.cpp",
